For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
ExamplesConsole
OverviewText to SpeechAPI ReferenceChangelog
OverviewText to SpeechAPI ReferenceChangelog
  • API Reference
    • Introduction
    • Authentication
  • Text to Speech
      • GETList Voices
      • POSTCreate Voice
      • DELDelete Voice
      • GETDownload Voice Sample
LogoLogo
ExamplesConsole
Text to SpeechVoices

Create Voice

POST
https://api.speechify.ai/v1/voices
POST
/v1/voices
1from speechify import Speechify
2
3client = Speechify(
4 token="YOUR_TOKEN_HERE",
5)
6
7client.tts.voices.create(
8 sample="example_sample",
9 avatar="example_avatar",
10)
1{
2 "display_name": "Alex Clone",
3 "gender": "male",
4 "locale": "en-US",
5 "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
6 "models": [
7 {
8 "languages": [
9 {
10 "locale": "en-US",
11 "preview_audio": "https://cdn.speechify.com/previews/alex_preview.mp3"
12 }
13 ],
14 "name": "simba-english"
15 }
16 ],
17 "type": "personal",
18 "avatar_image": "https://cdn.speechify.com/avatars/alex_avatar.png"
19}

Create a personal (cloned) voice for the user

Was this page helpful?
Previous

Delete Voice

Next
Built with

Authentication

AuthorizationBearer

Enter your API key with the Bearer prefix, e.g. ‘Bearer sk_…’.

Request

This endpoint expects a multipart form with multiple files.
namestringRequired
Name of the personal voice
localestringOptionalDefaults to en-US

Native language (locale) of the personal voice (e.g. en-US, es-ES, etc.)

genderenumRequired
Gender marker for the personal voice male GenderMale female GenderFemale notSpecified GenderNotSpecified
Allowed values:
samplefileRequired
Audio sample file
avatarfileOptional
Avatar image file
consentstringRequired

A string representing the user consent information in JSON format This should include the fullName and email of the consenting individual. For example, {"fullName": "John Doe", "email": "john@example.com"}

Response

A created voice
display_namestring
genderenum
Allowed values:
localestring
idstring
modelslist of objects
typeenum
Allowed values:
avatar_imagestring

Errors

400
Bad Request Error
401
Unauthorized Error
402
Payment Required Error
500
Internal Server Error